%define anolis_release 2
%bcond_without perl_Sub_Exporter_enables_extra_test
%global our_docdir %{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}
%global __provides_exclude_from ^%{our_docdir}/
%global __requires_exclude_from ^%{our_docdir}/

Name:		perl-Sub-Exporter
Epoch:		1
Version:	0.989
Release:	%{anolis_release}%{?dist}
Summary:	Sophisticated exporter for custom-built routines
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Sub-Exporter
Source0:	https://cpan.metacpan.org/modules/by-module/Sub/Sub-Exporter-%{version}.tar.gz

BuildArch:	noarch

# Build
BuildRequires:	make 
BuildRequires:	findutils coreutils
BuildRequires:	perl-interpreter perl-generators 
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.78
# Module
BuildRequires:	perl(warnings) perl(strict) perl(Carp) 
BuildRequires:	perl(Package::Generator) perl(Params::Util) >= 0.14 
BuildRequires:	perl(Sub::Install) >= 0.92 perl(Data::OptList) >= 0.1
# Test suite
BuildRequires:	perl(subs) perl(lib) perl(File::Spec) perl(Exporter) 
BuildRequires:	perl(blib) perl(base) perl(Test::More) >= 0.96
# Optional tests
BuildRequires:	perl(CPAN::Meta) >= 2.120900
# Extra tests
%if %{with perl_Sub_Exporter_enables_extra_test}
BuildRequires:	perl(Encode)
BuildRequires:	perl(Test::Pod) >= 1.41
%endif

# Runtime
Requires:	perl(Package::Generator)
 
%description
Sub::Exporter provides a sophisticated alternative to Exporter.pm. It allows
for renaming, currying/sub-generation, and other cool stuff.
 
ACHTUNG! If you're not familiar with Exporter or exporting, read
Sub::Exporter::Tutorial first!

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.
 
%prep
%autosetup -p1 -n Sub-Exporter-%{version}
 
# Fix shellbangs
find t/ -type f -exec \
	perl -MExtUtils::MakeMaker -e 'ExtUtils::MM_Unix->fixin(qw{{}})' \;
 
%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build %{?_smp_mflags}
 
%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}
 
%check
make test
%if %{with perl_Sub_Exporter_enables_extra_test}
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))"
%endif
 
%files
%dir %{perl_vendorlib}/Sub/
%dir %{perl_vendorlib}/Sub/Exporter/
%{perl_vendorlib}/Sub/Exporter.pm
%{perl_vendorlib}/Sub/Exporter/Util.pm
%{_mandir}/man3/Sub::Exporter.3*
%{_mandir}/man3/Sub::Exporter::Cookbook.3*
%{_mandir}/man3/Sub::Exporter::Tutorial.3*
%{_mandir}/man3/Sub::Exporter::Util.3*
%doc %{perl_vendorlib}/Sub/Exporter/Cookbook.pod
%doc %{perl_vendorlib}/Sub/Exporter/Tutorial.pod

%files doc
%doc Changes README t/

%changelog
* Wed Apr 12 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 1:0.989-2
- optimise spec file

* Mon Feb 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:0.989-1
- remove versioned MODULE_COMPAT_ requires
- update to version 0.989

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:0.988-2
- rebuild with perl 5.36.0

* Thu Apr 21 2022 happy_orange <songnannan@linux.alibaba.com> - 1:0.988-1
- Init package from upstream
